Apache Struts API Documentation: Class FormTag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class FormTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--org.apache.struts.taglib.html.FormTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class FormTag
extends javax.servlet.jsp.tagext.TagSupport

Custom tag that represents an input form, associated with a bean whose properties correspond to the various fields of the form.

Version:
  $Revision: 1.1 $ $Date: 2001-09-17 21:13:30 +0100 (Mon, 17 Sep 2001) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `action` The action URL to which this form should be submitted, if any.
`protected java.lang.String` | `enctype` The content encoding to be used on a POST submit.
`protected java.lang.String` | `focus` The name of the field to receive focus, if any.
`protected static MessageResources` | `messages` The message resources for this package.
`protected java.lang.String` | `method` The request method used when submitting this form.
`protected java.lang.String` | `name` The attribute key under which our associated bean is stored.
`protected java.lang.String` | `onreset` The onReset event script.
`protected java.lang.String` | `onsubmit` The onSubmit event script.
`protected java.lang.String` | `scope` The scope (request or session) under which our associated bean is stored.
`protected ActionServlet` | `servlet` The ActionServlet instance we are associated with (so that we can initialize the `servlet` property on any form bean that we create).
`protected java.lang.String` | `style` The style attribute associated with this tag.
`protected java.lang.String` | `styleClass` The style class associated with this tag.
`protected java.lang.String` | `styleId` The identifier associated with this tag.
`protected java.lang.String` | `target` The window target.
`protected java.lang.String` | `type` The Java class name of the bean to be created, if necessary.

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext, parent, values`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormTag()`

Method Summary
`int` | `doEndTag()` Render the end of this form.
`int` | `doStartTag()` Render the beginning of this form.
`java.lang.String` | `getAction()` Return the action URL to which this form should be submitted.
`protected java.lang.String` | `getActionMappingName()` Return the form action converted into an action mapping path.
`protected java.lang.String` | `getActionMappingURL()` Return the form action converted into a server-relative URL.
`java.lang.String` | `getEnctype()`
`java.lang.String` | `getFocus()` Return the focus field name for this form.
`java.lang.String` | `getMethod()` Return the request method used when submitting this form.
`java.lang.String` | `getName()` Return the attribute key name of our bean.
`java.lang.String` | `getOnreset()` Return the onReset event script.
`java.lang.String` | `getOnsubmit()` Return the onSubmit event script.
`java.lang.String` | `getScope()` Return the attribute scope of our bean.
`java.lang.String` | `getStyle()` Return the style attribute for this tag.
`java.lang.String` | `getStyleClass()` Return the style class for this tag.
`java.lang.String` | `getStyleId()` Return the style identifier for this tag.
`java.lang.String` | `getTarget()` Return the window target.
`java.lang.String` | `getType()` Return the Java class of our bean.
`protected void` | `lookup()` Look up values for the `name`, `scope`, and `type` properties if necessary.
`void` | `release()` Release any acquired resources.
`void` | `setAction(java.lang.String action)` Set the action URL to which this form should be submitted.
`void` | `setEnctype(java.lang.String enctype)`
`void` | `setFocus(java.lang.String focus)` Set the focus field name for this form.
`void` | `setMethod(java.lang.String method)` Set the request method used when submitting this form.
`void` | `setName(java.lang.String name)` Set the attribute key name of our bean.
`void` | `setOnreset(java.lang.String onReset)` Set the onReset event script.
`void` | `setOnsubmit(java.lang.String onSubmit)` Set the onSubmit event script.
`void` | `setScope(java.lang.String scope)` Set the attribute scope of our bean.
`void` | `setStyle(java.lang.String style)` Set the style attribute for this tag.
`void` | `setStyleClass(java.lang.String styleClass)` Set the style class for this tag.
`void` | `setStyleId(java.lang.String styleId)` Set the style identifier for this tag.
`void` | `setTarget(java.lang.String target)` Set the window target.
`void` | `setType(java.lang.String type)` Set the Java class of our bean.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### action

    protected java.lang.String action

  The action URL to which this form should be submitted, if any.

### enctype

    protected java.lang.String enctype

  The content encoding to be used on a POST submit.

### focus

    protected java.lang.String focus

  The name of the field to receive focus, if any.

### messages

    protected static MessageResources messages

  The message resources for this package.

### method

    protected java.lang.String method

  The request method used when submitting this form.

### name

    protected java.lang.String name

  The attribute key under which our associated bean is stored.

### onreset

    protected java.lang.String onreset

  The onReset event script.

### onsubmit

    protected java.lang.String onsubmit

  The onSubmit event script.

### scope

    protected java.lang.String scope

  The scope (request or session) under which our associated bean is stored.

### servlet

    protected ActionServlet servlet

  The ActionServlet instance we are associated with (so that we can initialize the `servlet` property on any form bean that we create).

### style

    protected java.lang.String style

  The style attribute associated with this tag.

### styleClass

    protected java.lang.String styleClass

  The style class associated with this tag.

### styleId

    protected java.lang.String styleId

  The identifier associated with this tag.

### target

    protected java.lang.String target

  The window target.

### type

    protected java.lang.String type

  The Java class name of the bean to be created, if necessary.

Constructor Detail

### FormTag

    public FormTag()

Method Detail

### getEnctype

    public java.lang.String getEnctype()

### setEnctype

    public void setEnctype(java.lang.String enctype)

### getAction

    public java.lang.String getAction()

  Return the action URL to which this form should be submitted.

### setAction

    public void setAction(java.lang.String action)

  Set the action URL to which this form should be submitted.
  Parameters:
    `action` - The new action URL

### getFocus

    public java.lang.String getFocus()

  Return the focus field name for this form.

### setFocus

    public void setFocus(java.lang.String focus)

  Set the focus field name for this form.
  Parameters:
    `focus` - The new focus field name

### getMethod

    public java.lang.String getMethod()

  Return the request method used when submitting this form.

### setMethod

    public void setMethod(java.lang.String method)

  Set the request method used when submitting this form.
  Parameters:
    `method` - The new request method

### getName

    public java.lang.String getName()

  Return the attribute key name of our bean.

### setName

    public void setName(java.lang.String name)

  Set the attribute key name of our bean.
  Parameters:
    `name` - The new attribute key name

### getOnreset

    public java.lang.String getOnreset()

  Return the onReset event script.

### setOnreset

    public void setOnreset(java.lang.String onReset)

  Set the onReset event script.
  Parameters:
    `onReset` - The new event script

### getOnsubmit

    public java.lang.String getOnsubmit()

  Return the onSubmit event script.

### setOnsubmit

    public void setOnsubmit(java.lang.String onSubmit)

  Set the onSubmit event script.
  Parameters:
    `onSubmit` - The new event script

### getScope

    public java.lang.String getScope()

  Return the attribute scope of our bean.

### setScope

    public void setScope(java.lang.String scope)

  Set the attribute scope of our bean.
  Parameters:
    `scope` - The new attribute scope

### getStyle

    public java.lang.String getStyle()

  Return the style attribute for this tag.

### setStyle

    public void setStyle(java.lang.String style)

  Set the style attribute for this tag.
  Parameters:
    `style` - The new style attribute

### getStyleClass

    public java.lang.String getStyleClass()

  Return the style class for this tag.

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

  Set the style class for this tag.
  Parameters:
    `styleClass` - The new style class

### getStyleId

    public java.lang.String getStyleId()

  Return the style identifier for this tag.

### setStyleId

    public void setStyleId(java.lang.String styleId)

  Set the style identifier for this tag.
  Parameters:
    `styleId` - The new style identifier

### getTarget

    public java.lang.String getTarget()

  Return the window target.

### setTarget

    public void setTarget(java.lang.String target)

  Set the window target.
  Parameters:
    `target` - The new window target

### getType

    public java.lang.String getType()

  Return the Java class of our bean.

### setType

    public void setType(java.lang.String type)

  Set the Java class of our bean.
  Parameters:
    `type` - The new Java class

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Render the beginning of this form.
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Render the end of this form.
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### release

    public void release()

  Release any acquired resources.
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getActionMappingName

    protected java.lang.String getActionMappingName()

  Return the form action converted into an action mapping path. The value of the `action` property is manipulated as follows in computing the name of the requested mapping:
  - Any filename extension is removed (on the theory that extension mapping is being used to select the controller servlet).
  - If the resulting value does not start with a slash, then a slash is prepended.

### getActionMappingURL

    protected java.lang.String getActionMappingURL()

  Return the form action converted into a server-relative URL.

### lookup

    protected void lookup()
                   throws javax.servlet.jsp.JspException

  Look up values for the `name`, `scope`, and `type` properties if necessary.
  Throws:
    `javax.servlet.jsp.JspException` - if a required value cannot be looked up

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 - Apache Software Foundation